Bug 70414 - New tabbing widget overflows to the right in RTL mode
Summary: New tabbing widget overflows to the right in RTL mode
Status: RESOLVED FIXED
Alias: None
Product: kdelibs
Classification: Unclassified
Component: qt (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal with 58 votes (vote)
Target Milestone: ---
Assignee: kdelibs bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-12-14 17:07 UTC by Oded Arbel
Modified: 2007-11-07 18:57 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oded Arbel 2003-12-14 17:07:01 UTC
Version:            (using KDE Devel)
Compiler:          gcc 3.3.1 
OS:          Linux

When there are more tabs then can fit on the single line tab widget, the tabs overflow and some disapear over the edge (see Bug 70400). 
In LTR context (latin), the tabs over flow to the right and the first tab is always visible. In RTL mode (Hebrew, Arabic) OTOH the tabs still over flow to the right, making the last tabs always visible and the first tab disapears - because in RTL context the tabs are ordered from right to left.

BTW - in Konsole's tab widget it is done correctly: the tabs over flow to the left in RTL context and to the right in LTR context.
Comment 1 Stephan Binner 2004-01-27 10:33:37 UTC
This and 70400 seem to be bugs in QTabWidget. Someone needs to write a Qt-only testcase and check if qt-rsync-33 fixes it.
Comment 2 Diego Iastrubni 2007-04-28 00:28:00 UTC
I don't see those things in Qt 3.3.5. The only offending widget is KTabCtl which was removed in KDE4. All code in KDE3 should be also ported to QTabWidget - they both have the same interface (more or less).

Closing...